#include <linux/sched/types.h>
#include <unistd.h>
#include <sys/syscall.h>

int
set_deadline_policy(int policy, int intrpt_intrv_usec)
{
	int		rval = 0;

	struct sched_attr sched_attr_par;
	sched_attr_par.sched_flags = 0;
	sched_attr_par.sched_nice = 0;
	sched_attr_par.size = sizeof(struct sched_attr);
	sched_attr_par.sched_policy = policy;

		sched_attr_par.sched_priority = 0;
		sched_attr_par.sched_deadline = intrpt_intrv_usec * 1000;
		sched_attr_par.sched_period = intrpt_intrv_usec * 1000;
		sched_attr_par.sched_runtime =  intrpt_intrv_usec * 800;
	//rval = sched_setattr(0, &sched_attr_par, 0);
	rval = syscall(SYS_sched_setattr, 0, &sched_attr_par, 0);
	return rval;
}
